%define major 6
%define name gpgme
%define version 0.3.14
%define release 3mdk
%define libname %mklibname %name %major

Summary: 	GnuPG Made Easy (GPGME)
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.gz
License: 	GPL
Group: 		System/Libraries
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Url: 		http://www.gnupg.org/gpgme.html
BuildRequires: autoconf2.5
BuildRequires: newpg

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

%package -n %{libname}
Summary: GnuPG Made Easy (GPGME)
Group: System/Libraries
Requires: gnupg >= 1.0.6
Provides: %name = %version-%release
Provides: lib%name = %version-%release

%description -n %libname
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

%package -n %{libname}-devel
Summary: GnuPG Made Easy (GPGME) Header files and libraries for development
Group: Development/C
Requires: %{libname} = %version-%release
Provides: libgpgme-devel = %version-%release
Provides: gpgme-devel = %version-%release

%description -n %{libname}-devel
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

Install the gpgme-devel package if you want to develop applications 
that will use the gpgme library.

%prep
%setup -q

%build
libtoolize --copy --force
%configure2_5x --enable-gpgmeplug
%make

%install
rm -rf %buildroot
%makeinstall_std

# We remove the compiled tests
(cd tests
  make clean 
  find . -name "*~" |xargs rm -f *~
  find . -name "*.gpg" -exec chmod 0644 '{}' ';'
)

rm -f %buildroot/%_datadir/info/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
%post -n %libname-devel
%_install_info %name.info
%postun -n %libname-devel
%_remove_install_info %name.info


%files -n %libname
%defattr(-,root,root)
%_libdir/libgpgme.so*

%_libdir/*.la

%files -n %libname-devel
%defattr(-,root,root)
%doc README README-alpha TODO INSTALL ChangeLog NEWS AUTHORS COPYING THANKS tests/
%_libdir/*.a

%_bindir/gpgme-config
%_datadir/aclocal/*
%_includedir/*.h
%_infodir/gpgme.info*
#laurent confict with info-install
#%_infodir/dir

%changelog
* Mon Mar 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.14-3mdk
- build with newpg

* Thu Mar  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.14-2mdk
- mklibname macro
- rebuild

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.14-1mdk
- Update

* Tue Oct 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.12-5mdk
- remove dependancy on libgpgme.so.0

* Mon Oct 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.12-4mdk
- Fix spec file

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.12-3mdk
- Fix spec file

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.12-2mdk
- Add --enable-gpgmeplug

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.12-1mdk
- Update

* Thu Sep  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.9-3mdk
- make libgpgme6 provide gpgme and libgpgme

* Thu Sep  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.9-2mdk
- removed a typo in the description 

* Mon Sep  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.3.9-1mdk
- major version 6
- add info documentation
- spec file fixes
- fix provides and requires
- renamed packages to libgpgme0 and libgpgme0-devel
- used source package from Charles A Edwards <eslrahc@bellsouth.net>:
	- upgraded to version 0.3.9
	- use %%configure
	- use autoconf2.5
	- add buildrequires for autoconf2.5

* Sat Nov 17 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.2.3-1mdk
- Upgraded to version 0.2.3

* Thu Sep 06 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.2.2-1mdk
- first release, version 0.2.2

